Subject: bug#2941 closed by Chong Yidong <[email-masked]> (Re: bug#2941: rmail's new handling of Babyl files is odd)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 18 May 2009 17:05:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2941: rmail's new handling of Babyl files is odd

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
2941: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2941
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2941: rmail's new handling of Babyl files is odd
From: Chong Yidong <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 18 May 2009 12:58:52 -0400

> >> C-u M-x rmail RET foo RET
> >> d
> >> x
> >> y
> >> C-x C-s
> >
> > Could you propose a patch that catches this case?
>
> I can easily make this do whatever people generally want.
> I did not want to change it for one vociferous person,
> but I will gladly change to follow the general preference.

OK, I see you've done that.  Thanks.

Subject: rmail's new handling of Babyl files is odd
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 09 Apr 2009 15:48:12 -0400

Severity: serious

The new way in which Rmail treats Babyl files is odd:

emacs -Q
C-u M-x rmail RET some-babyl-file RET

"Replacing BABYL format with mbox format...done"

Before I can read the above message, it is replaced with the next:

"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

Now I try to modify the buffer:

1) By adding a label.
a foo RET
"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

2) By editing a message.
e
make change to message
C-c C-c
"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

3) By deleting a message.
d
"Marking buffer unmodified to avoid rewriting Babyl file as mbox file"

Why do all of these leave the buffer unmodified? If Emacs crashes now,
I will lose information.

4) By expunging a message.
x
y

Finally, the buffer is marked modified.

Now if I press "s" to save the buffer, it is saved without warning,
clobbering the existing Babyl file. I was expecting a confirmation
prompt.